#ifndef  DATA_FUEL_H__
#define  DATA_FUEL_H__

#include "Application.h"
#include "Components.h"


typedef struct //__attribute__((aligned(4))) 
{
    uint8_t  FuelSeg;               //燃油格数
    uint8_t  FuelSegDis;            //燃油显示格数
    uint8_t  FuelValid;             //燃油有效状态
    uint8_t  FuelValidCount;        //燃油有效状态计数
    uint8_t  FuelStatusCount;       /*燃油状态计数*/

}FuelStruct_st_t;

extern FuelStruct_st_t Fuel;

extern void Data_Fuel_KL30_Init(void);
extern void Data_Fuel_KL15_Init(void);
extern void Data_Fuel_Service(void);

extern uint8_t Get_FuelSeg_Display(void);
extern uint8_t Get_FuelStatus_Valid(void);
extern uint8_t Get_FuelPilotLamp_Status(void);

#endif
